Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via [email protected]

Para mais informações: [email protected]

#1 07/09/2016 21:01:40

Ken_Matrix
Membro
Registrado: 02/04/2012
Mensagens: 21

Erro na atualização do pacote Linux (RESOLVIDO)

Pessoal, deu erro na última atualização do pacote Linux que é o kernel. Segue o erro:

(5/6) atualizando linux                            [######################] 100%
>>> Updating module dependencies. Please wait ...
>>> Generating initial ramdisk, using mkinitcpio. Please wait...
==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
  -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 4.7.3-1-ARCH
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
  -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
==> Starting build: 4.7.3-1-ARCH
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: wd719x
==> WARNING: Possibly missing firmware for module: aic94xx
  -> Running build hook: [filesystems]
  -> Running build hook: [keyboard]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
==> Image generation successful
(6/6) atualizando lvm2                             [######################] 100%
:: Executando hooks pós-transação...
(1/1) Updating UEFI kernel images...
/usr/bin/sbupdate: error: CMDLINE_DEFAULT is not defined or empty in /etc/default/sbupdate
erro: comando não executado corretamente

Como posso resolver esse problema?

Última edição por Ken_Matrix (19/11/2016 17:24:24)

Offline

#2 08/09/2016 04:56:33

sistematico
Moderador
De: Campo Grande / MS
Registrado: 13/06/2008
Mensagens: 1.015
Website

Re: Erro na atualização do pacote Linux (RESOLVIDO)

Acho que esse pacote não está nos repositórios oficiais do Arch Linux...

https://github.com/andreyv/sbupdate#configuration

Offline

#3 09/09/2016 00:25:00

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.527

Re: Erro na atualização do pacote Linux (RESOLVIDO)

está falando qual é o erro.

/usr/bin/sbupdate: error: CMDLINE_DEFAULT is not defined or empty in /etc/default/sbupdate

adiciona as opções padrões da linha kernel no CMDLINE_DEFAULT no arquivo  /etc/default/sbupdate

CMDLINE_DEFAULT=rw quiet

Offline

#4 19/11/2016 17:23:20

Ken_Matrix
Membro
Registrado: 02/04/2012
Mensagens: 21

Re: Erro na atualização do pacote Linux (RESOLVIDO)

Resolvido obrigado pessoal

Offline

Rodapé do site